#define ___VERSION 406000
#include "gambit.h"
#include "repltest.h"

#define SCHEME_LIBRARY_LINKER ____20_repltest__

___BEGIN_C_LINKAGE
extern ___mod_or_lnk SCHEME_LIBRARY_LINKER (___global_state_struct*);
___END_C_LINKAGE

int main (int argc, char **argv)
{
  ___setup_params_struct setup_params;
  ___setup_params_reset (&setup_params);

  setup_params.version = ___VERSION;
  setup_params.linker  = SCHEME_LIBRARY_LINKER;
  setup_params.debug_settings = (___DEBUG_SETTINGS_UNCAUGHT_ALL
                                 << ___DEBUG_SETTINGS_UNCAUGHT_SHIFT) |
                                (___DEBUG_SETTINGS_ERROR_REPL
                                 << ___DEBUG_SETTINGS_ERROR_SHIFT);

  ___setup (&setup_params);

  {
    ___SCMOBJ ___err;
    ___processor_state ___ps = ___PSTATE;

    ___BEGIN_TRY

    start_repltest();

    ___END_TRY
  }

  ___cleanup ();

  return 0;
}

